Dropped the upgrading Ember section


#1

I wanted to make sure I upgraded Ember correctly but the 2.12 docs seemed to have dropped the section.

2.11 https://guides.emberjs.com/v2.11.0/tutorial/ember-cli/#toc_upgrading-ember mentions using bower which doesn’t even contain an ember declaration anymore. This needs to be updated I think.